"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.monitor = void 0;
const runtime_dom_1 = require("@vue/runtime-dom");
let timeout = null;
let queued = {};
function monitor(name, state) {
    return (0, runtime_dom_1.watch)(state, function onStateChange(next, prev) {
        if (!timeout) {
            timeout = setTimeout(printQueued);
        }
        if (!queued[name]) {
            queued[name] = { next, prev, };
        }
        else {
            queued[name].next = next;
        }
    });
}
exports.monitor = monitor;
function printQueued() {
    // eslint-disable-next-line no-console
    console.table(queued);
    timeout = null;
    queued = {};
}
